Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/rsakp.c File Reference

RSA Keypair, code. More...

`#include "system.h"`
`#include "rsakp.h"`
`#include "mp32prime.h"`
`#include "mp32.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions
int | rsakpMake (rsakp *kp, randomGeneratorContext *rgc, int nsize)
int | rsakpInit (rsakp *kp)
int | rsakpFree (rsakp *kp)
int | rsakpCopy (rsakp *dst, const rsakp *src)

## Detailed Description

RSA Keypair, code.

Definition in file rsakp.c.

## Function Documentation

int rsakpCopy | ( | rsakp * | dst,
|  | const rsakp * | src
| ) |

| Definition at line 193 of file rsakp.c. References rsakp::c, rsakp::d, rsakp::d1, rsakp::d2, rsakp::e, mp32bcopy, mp32ncopy, rsakp::n, rsakp::p, and rsakp::q.

int rsakpFree | ( | rsakp * | kp | ) |

| Definition at line 177 of file rsakp.c. References rsakp::c, rsakp::d, rsakp::d1, rsakp::d2, rsakp::e, mp32bfree, mp32nfree, rsakp::n, rsakp::p, and rsakp::q.

int rsakpInit | ( | rsakp * | kp | ) |

| Definition at line 159 of file rsakp.c.

int rsakpMake | ( | rsakp * | kp,
|  | randomGeneratorContext * | rgc,
|  | int | nsize
| ) |

| Definition at line 37 of file rsakp.c. References rsakp::c, rsakp::d, rsakp::d1, rsakp::d2, mp32number::data, rsakp::e, mp32barrett::modl, mp32bfree, mp32binv_w, mp32bmod_w, mp32bset, mp32bsubone, mp32bzero, mp32le, mp32msbset, mp32mul, mp32nsetw, mp32nsize, mp32prnd_w, mp32ptrials, rsakp::n, rsakp::p, rsakp::q, mp32number::size, and uint32.